Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 87393 - Login bug with 7.2
Summary: Login bug with 7.2
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: util-linux
Version: 7.2
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Elliot Lee
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-26 16:33 UTC by Cal
Modified: 2007-04-18 16:52 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-04-11 17:02:55 UTC


Attachments (Terms of Use)

Description Cal 2003-03-26 16:33:41 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3; Linux)

Description of problem:
When logging in on a console and my login is typed incorrect, I only have the option to retype my passwd and not Login until eventually it times out. 
eg: Login: riit  (instead of root)
    passwd: enigma (correct passwd)

    passwd: enigma 
    
    passwd: 

This is quite annoying when it doesnt give you the login option again. I have reinstalled the Util-Linux package for login but still have the same problem. This only seems to happen with 7.2


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. everytime you login with the incorrect spelling of username
2.
3.
    

Actual Results:  I was only prompted with passwd option and not login option

Expected Results:  I should have been prompted with login and then passwd again

Additional info:

See info above

Comment 1 Elliot Lee 2003-04-11 17:02:55 UTC
Part of security measures in 7.2 include acting the exact same way whether you
enter an incorrect password or incorrect username, to prevent an attacker from
fnding out what usernames are valid on the system. Having 3 password prompts is
normal.


Note You need to log in before you can comment on or make changes to this bug.